package fi.helsinki.dacopan.ui;

import javax.swing.JFrame;

import fi.helsinki.dacopan.AbstractTestCase;
import fi.helsinki.dacopan.model.DataView;
import fi.helsinki.dacopan.model.ENCTreeModel;
import fi.helsinki.dacopan.model.Layer;
import fi.helsinki.dacopan.model.TransferUnit;

/**
 * Sets up the enc animation using random data. Not a unit test,
 * simply for testing the animation.
 * 
 * @version $Id: ENCPanelTest.java,v 1.3 2004/05/04 14:52:45 aarniala-dacopan Exp $
 */
public class ENCPanelTest {
    
    public static void main(String[] args) {
        DataView view = AbstractTestCase.getRandomData(1, 5, 1, 0.1f, false);
        Layer layer = (Layer)view.getLayers().get(1);
        TransferUnit unit = (TransferUnit)view.getUnitsForLayer(layer).get(0);
        unit = view.getUnitById(6);
        System.out.println("Should be first unit of tcp: " + unit);
        ENCTreeModel model = new ENCTreeModel(unit, view);
        JFrame frame = new JFrame("Enc test");
        frame.getContentPane().add(new ENCPanel(null, model));
        frame.setSize(500, 500);
        frame.show();
        frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    }
    
}
