package fi.helsinki.dacopan.pef;

import java.io.Reader;

import fi.helsinki.dacopan.model.DataView;

/**
 * An exception indicating that the PEF passed to
 * {@link fi.helsinki.dacopan.pef.ProtocolEventsReader#read(Reader, DataView)}
 * was invalid.
 * 
 * @version $Id: ProtocolEventsDataException.java,v 1.2 2005/05/04 11:46:54 tituomin Exp $
 */
public class ProtocolEventsDataException extends RuntimeException {

    public ProtocolEventsDataException(String msg) {
        super(msg);
    }

    public ProtocolEventsDataException(String msg, Throwable cause) {
        super(msg, cause);
    }
    
}
